API7 Docs

Get schema definition of a plugin

GET /apisix/admin/schema/plugins/{plugin_name}

GET /apisix/admin/schema/plugins/{plugin_name}

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Path Parameters

plugin_name*string

Name of the plugin.

Length1 <= length <= 64

Query Parameters

subsystem?string

Type to filter the plugin list. http will only show L7 plugins and stream will only show L4 plugins.

Default"http"

Value in

  • "http"
  • "stream"

Response Body

application/json

curl -X GET "$API_BASE_URL/apisix/admin/schema/plugins/string"

Successfully retrieved the JSON schema for the specified plugin.

{
  "value": {
    "$comment": "this is a mark for our injected plugin schema",
    "properties": {
      "_meta": {
        "properties": {
          "disable": {
            "type": "boolean"
          },
          "error_response": {
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object"
              }
            ]
          },
          "filter": {
            "description": "filter determines whether the plugin needs to be executed at runtime",
            "type": "array"
          },
          "pre_function": {
            "description": "function to be executed in each phase before execution of plugins. The pre_function will have access to two arguments: `conf` and `ctx`.",
            "type": "string"
          },
          "priority": {
            "description": "priority of plugins by customized order",
            "type": "integer"
          }
        },
        "type": "object"
      },
      "prefer_name": {
        "default": false,
        "type": "boolean"
      }
    },
    "type": "object"
  }
}
Complete operation details and schema variants

GET /apisix/admin/schema/plugins/{plugin_name}

Get schema definition of a plugin

Get schema definition of a plugin, including plugin meta properties and plugin properties.

Parameters

  • plugin_name (path, string, required): Name of the plugin.
  • subsystem (query, string, optional): Type to filter the plugin list. http will only show L7 plugins and stream will only show L4 plugins.

Responses

  • 200: Successfully retrieved the JSON schema for the specified plugin.
  • allOf variant 1
  • value (object, optional): The specific resource.
  • allOf variant 2
  • value (object, optional): The plugin schema definition.

cURL

curl -X GET '$API_BASE_URL/apisix/admin/schema/plugins/{plugin_name}'